Subject: Re: [PATCH net] net: phy: make phy_error() report which PHY has failed

From: Andrew Lunn <[email-masked]>
Date: Thu, 19 Dec 2019 22:05:03 +0100

> I think I agree with Heiner that it is valuable to know whether the
> error occurred from the interrupt handler or the state machine (and
> if the state machine, where that got called from).
> 
> So I totally disagree with removing the backtrace, sorry.

Russell does have a point about the backtrace not giving an indication
of which phy experienced the error. So adding the phydev_err() call,
which will prefix the print with an identifier for the PHY, is a good
idea. So we should add that, and keep the WARN().

      Andrew